
package cz.moneta.test.dsl.cebia.iva;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for WSGearboxType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WSGearboxType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Type" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="TypeID" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="CodeOM" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="Gears" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WSGearboxType", propOrder = {
    "type",
    "typeID",
    "codeOM",
    "gears"
})
public class WSGearboxType {

    @XmlElement(name = "Type", nillable = true)
    protected String type;
    @XmlElement(name = "TypeID", nillable = true)
    protected String typeID;
    @XmlElement(name = "CodeOM", nillable = true)
    protected String codeOM;
    @XmlElement(name = "Gears", nillable = true)
    protected Integer gears;

    /**
     * Gets the value of the type property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getType() {
        return type;
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setType(String value) {
        this.type = value;
    }

    /**
     * Gets the value of the typeID property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTypeID() {
        return typeID;
    }

    /**
     * Sets the value of the typeID property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTypeID(String value) {
        this.typeID = value;
    }

    /**
     * Gets the value of the codeOM property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCodeOM() {
        return codeOM;
    }

    /**
     * Sets the value of the codeOM property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCodeOM(String value) {
        this.codeOM = value;
    }

    /**
     * Gets the value of the gears property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getGears() {
        return gears;
    }

    /**
     * Sets the value of the gears property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setGears(Integer value) {
        this.gears = value;
    }

    public WSGearboxType withType(String value) {
        setType(value);
        return this;
    }

    public WSGearboxType withTypeID(String value) {
        setTypeID(value);
        return this;
    }

    public WSGearboxType withCodeOM(String value) {
        setCodeOM(value);
        return this;
    }

    public WSGearboxType withGears(Integer value) {
        setGears(value);
        return this;
    }

}
